> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /nextdoor/businesses

> Get Nextdoor business

**Price:** 1 credit

**⚠️ Common errors:** 412: Business not found. Verify country and slug.



## OpenAPI

````yaml /openapi/local-places.json post /api/nextdoor/businesses
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/nextdoor/businesses:
    post:
      tags:
        - /nextdoor
      summary: /nextdoor/businesses
      description: |-
        Get Nextdoor business

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Business not found. Verify country and slug.
      operationId: __api_nextdoor_businesses_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NextdoorBusinessesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NextdoorBusiness'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NextdoorBusinessesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/NextdoorCountry'
          default: US
        slug:
          type: string
          minLength: 1
      type: object
      required:
        - slug
    NextdoorBusiness:
      properties:
        '@type':
          type: string
          default: NextdoorBusiness
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        license_id:
          anyOf:
            - type: string
            - type: 'null'
        location_status:
          anyOf:
            - type: string
            - type: 'null'
        fave_count:
          anyOf:
            - type: integer
            - type: 'null'
        recommendation_summary:
          anyOf:
            - type: string
            - type: 'null'
        is_takeout_offered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_delivery_offered:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        centroid:
          anyOf:
            - $ref: '#/components/schemas/NextdoorGeoPoint'
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/NextdoorAddress'
            - type: 'null'
        open_status:
          anyOf:
            - type: string
            - type: 'null'
        hours:
          items:
            $ref: '#/components/schemas/NextdoorBusinessHours'
          type: array
          default: []
        gallery:
          items:
            type: string
          type: array
          default: []
        gallery_count:
          anyOf:
            - type: integer
            - type: 'null'
        years_won:
          items:
            type: integer
          type: array
          default: []
        neighborhoods_won:
          items:
            $ref: '#/components/schemas/NextdoorNeighborhoodWon'
          type: array
          default: []
        delivery_services:
          items:
            type: string
          type: array
          default: []
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NextdoorCountry:
      type: string
      enum:
        - US
        - GB
        - DE
        - FR
        - IT
        - ES
        - AU
        - DK
        - SE
        - CA
        - NL
    NextdoorGeoPoint:
      properties:
        '@type':
          type: string
          default: NextdoorGeoPoint
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    NextdoorAddress:
      properties:
        '@type':
          type: string
          default: NextdoorAddress
        street_number:
          anyOf:
            - type: string
            - type: 'null'
        route:
          anyOf:
            - type: string
            - type: 'null'
        unit_number:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        state_name:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        formatted:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorBusinessHours:
      properties:
        '@type':
          type: string
          default: NextdoorBusinessHours
        day:
          anyOf:
            - type: string
            - type: 'null'
        intervals:
          items:
            type: string
          type: array
          default: []
      type: object
    NextdoorNeighborhoodWon:
      properties:
        '@type':
          type: string
          default: NextdoorNeighborhoodWon
        name:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````